Subject: bug#65243: [PATCH] Fix building of VC package manuals with relative org links/includes

From: Philip Kaludercic <[email-masked]>
Date: Mon, 14 Aug 2023 08:14:31 +0000

Joseph Turner <[email-masked]> writes:

> Hello,
>
> This patch allows for relative includes and link in org files compiled
> to texinfo.
>
> Unfortunately, I missed this back in May
> (commit 1e6a7594 ), when we fixed relative texi @include links.
>
> I'm not sure how the Emacs release cycle works. Would it be possible to
> include this fix in 29.2?

I wouldn't have any issue with that, and AFAIU now that the release has
been cut, this should be fine, as this is just a bug fix.

BTW, what package is this related to?

> Best,
>
> Joseph
>
>>>From e951b0ea4ffa90202ecee934eddd895b706c6794 Mon Sep 17 00:00:00 2001
> From: Joseph Turner <[email-masked]>
> Date: Sat, 12 Aug 2023 01:40:07 -0700
> Subject: [PATCH] Fix building of VC package manuals with relative org
>  links/includes
>
> * lisp/emacs-lisp/package-vc.el (package-vc--build-documentation):
> Ensure that default-default is the docs-directory around
> org-export-to-file to ensure that links to relative files work correctly.
> ---
>  lisp/emacs-lisp/package-vc.el | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/lisp/emacs-lisp/package-vc.el b/lisp/emacs-lisp/package-vc.el
> index b4c911015b5..ffc7afeb2ee 100644
> --- a/lisp/emacs-lisp/package-vc.el
> +++ b/lisp/emacs-lisp/package-vc.el
> @@ -356,7 +356,8 @@ otherwise it's assumed to be an Info file."
>        (with-temp-buffer
>          (insert-file-contents file)
>          (setq file (make-temp-file "ox-texinfo-"))
> -        (org-export-to-file 'texinfo file)
> +        (let ((default-directory docs-directory))
> +          (org-export-to-file 'texinfo file))
>          (setq clean-up t)))
>      (with-current-buffer (get-buffer-create " *package-vc doc*")
>        (erase-buffer)